| Home | Libraries | People | FAQ | More

## Function template ifind_first

boost::algorithm::ifind_first — Find first algorithm ( case insensitive ).

## Synopsis

    template<typename Range1T, typename Range2T>
      iterator_range< typename range_result_iterator< Range1T >::type >
      ifind_first(Range1T & Input, const Range2T & Search,
                  const std::locale & Loc = std::locale());

## Description

Search for the first occurence of the substring in the input. Searching is case insensitive.

Parameters:

`Input` | A string which will be searched.
`Loc` | A locale used for case insensitive comparison
`Search` | A substring to be searched for.

Returns: | An `iterator_range` delimiting the match. Returned iterator is either `Range1T::iterator` or `Range1T::const_iterator` , depending on the constness of the input parameter.
Notes: | This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba